Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBObjectMBean

All Known Subinterfaces:
  CIBApplicationMBean, CIBExternalResourceMBean, CIBManagedObjectMBean, CIBMonitoredObjectMBean, CIBProductMBean, CIBResourceMBean, CIBServiceMBean

All Known Implementing Classes:
  CIBApplication, CIBExternalResource, CIBManagedObject, CIBMonitoredObject, CIBObject, CIBProduct, CIBResource, CIBService

public interface CIBObjectMBean

The CIBObjectMBean specifies the management interface of each Object of the Jes common monitoring information base as described into the common information model. The CIBObject is the root object model for all managed objects created in the Common Monitoring Framework. It is used primarily to identify the version of the CIB in the implementing object classes.

Field Summary
`static java.lang.String` | `ModelVersion` Represents the Sun Java-ES Monitoring Model Version

Method Summary
`java.lang.String` | `getModelVersion()` Returns the Jes Common monitoring schema version
`java.lang.String` | `getName()` Returns the name value of the CIBObject Managed Object representing the name=value of the ObjectName
`java.lang.String` | `getType()` Returns a the type value of the CIBObject managed object representing the the 'type=value' keyproperty found in the ObjectName of the corresponding mbean

Field Detail

### ModelVersion

    public static final java.lang.String ModelVersion

  Represents the Sun Java-ES Monitoring Model Version

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()
                             throws javax.management.InvalidAttributeValueException

  Returns the name value of the CIBObject Managed Object representing the name=value of the ObjectName

  Throws:
    `javax.management.InvalidAttributeValueException`

### getType

    public java.lang.String getType()
                             throws javax.management.InvalidAttributeValueException

  Returns a the type value of the CIBObject managed object representing the the 'type=value' keyproperty found in the ObjectName of the corresponding mbean

  Throws:
    `javax.management.InvalidAttributeValueException`

### getModelVersion

    public java.lang.String getModelVersion()

  Returns the Jes Common monitoring schema version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD